function classnum = SrcAn(avsrc,gene,GenSSData)


srcnb = size(avsrc); srcnb = srcnb(1);

% Estimate significant genes for each source
pval = GenSSData{8};
mval = erfinv(1-pval);

for k=1:srcnb,
  tmp2=avsrc(k,:);,
  tmp2=tmp2-mean(tmp2);

  % subclass -
  % ----------
  [a,b]=sort(tmp2);,
  a=a'; b=b';,
  kk=2*k-1;
  ll(kk) = length(find(a<=-mval*std(tmp2)));,
  classnum{kk,1} = ll(kk);
  classnum{kk,2} = b(1:ll(kk));
  classnum{kk,3}=gene(b(1:ll(kk)));
  classnum{kk,4}=a(1:ll(kk));

  % subclass +
  % ----------
  [a,b]=sort(-tmp2);,
  a=a'; b=b';,
  kk=2*k;
  ll(kk) = length(find(a<=-mval*std(tmp2)));,
  classnum{kk,1} = ll(kk);
  classnum{kk,2} = b(1:ll(kk));
  classnum{kk,3}=gene(b(1:ll(kk)));
  classnum{kk,4}=-a(1:ll(kk));
  
end;
