function [] = discr0(mixmat,nsrc)

% discr0 -   display histograms of projections on independent
% sources
% superseded by discr (which uses the stixbox function plotdens
% instead of hist)
%          
%
%  usage:    discr0(mixmat,nsrc)
%
%
% INPUT VARIABLES
% ---------------
% mixmat:      (float array): ncond X srcnb
%                   mixing matrix, output of genSS
%%%


nclass=10;

switch nsrc
  case 1
    hist(mixmat(:,1),nclass); title('Source 1');
  case 2
    subplot(2,1,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(2,1,2);  hist(mixmat(:,2),nclass); title('Source 2');
  case 3
    subplot(3,1,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,1,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,1,3);  hist(mixmat(:,3),nclass); title('Source 3');
  case 4
    subplot(2,2,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(2,2,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(2,2,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(2,2,4);  hist(mixmat(:,4),nclass); title('Source 4');
  case 5
    subplot(3,2,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,2,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,2,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(3,2,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(3,2,5);  hist(mixmat(:,5),nclass); title('Source 5');
  case 6
    subplot(3,2,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,2,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,2,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(3,2,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(3,2,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(3,2,6);  hist(mixmat(:,6),nclass); title('Source 6');
  case 7
    subplot(3,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(3,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(3,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(3,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(3,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
  case 8
    subplot(3,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(3,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(3,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(3,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(3,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(3,3,8);  hist(mixmat(:,8),nclass); title('Source 8');
  case 9
    subplot(3,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(3,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(3,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(3,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(3,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(3,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(3,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(3,3,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(3,3,9);  hist(mixmat(:,9),nclass); title('Source 9');
  case 10
    subplot(4,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,3,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,3,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,3,10);  hist(mixmat(:,10),nclass); title('Source 10');
  case 11
    subplot(4,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,3,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,3,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,3,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,3,11);  hist(mixmat(:,11),nclass); title('Source 11');
  case 12
    subplot(4,3,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,3,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,3,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,3,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,3,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,3,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,3,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,3,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,3,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,3,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,3,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(4,3,12);  hist(mixmat(:,12),nclass); title('Source 12');
  case 13
    subplot(4,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(4,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(4,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
  case 14
    subplot(4,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(4,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(4,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(4,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
  case 15
    subplot(4,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(4,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(4,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(4,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(4,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
  case 16
    subplot(4,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(4,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(4,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(4,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(4,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(4,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(4,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(4,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(4,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(4,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(4,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(4,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(4,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(4,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(4,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(4,4,16);  hist(mixmat(:,16),nclass); title('Source 16');
  case 17
    subplot(5,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,4,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,4,17);  hist(mixmat(:,17),nclass); title('Source 17');
  case 18
    subplot(5,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,4,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,4,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,4,18);  hist(mixmat(:,18),nclass); title('Source 18');
  case 19
    subplot(5,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,4,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,4,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,4,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,4,19);  hist(mixmat(:,19),nclass); title('Source 19');
  case 20
    subplot(5,4,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,4,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,4,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,4,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,4,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,4,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,4,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,4,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,4,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,4,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,4,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,4,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,4,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,4,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,4,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,4,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,4,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,4,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,4,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,4,20);  hist(mixmat(:,20),nclass); title('Source 20');
  case 21
    subplot(5,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(5,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
  case 22
    subplot(5,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(5,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(5,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
  case 23
    subplot(5,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(5,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(5,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(5,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
  case 24
    subplot(5,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(5,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(5,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(5,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(5,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
  case 25
    subplot(5,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(5,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(5,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(5,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(5,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(5,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(5,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(5,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(5,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(5,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(5,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(5,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(5,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(5,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(5,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(5,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(5,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(5,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(5,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(5,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(5,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(5,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(5,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(5,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(5,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
  case 26
    subplot(6,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,5,26);  hist(mixmat(:,26),nclass); title('Source 26');
  case 27
    subplot(6,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,5,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,5,27);  hist(mixmat(:,27),nclass); title('Source 27');
  case 28
    subplot(6,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,5,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,5,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,5,28);  hist(mixmat(:,28),nclass); title('Source 28');
  case 29
    subplot(6,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,5,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,5,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,5,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,5,29);  hist(mixmat(:,29),nclass); title('Source 29');
  case 30
    subplot(6,5,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,5,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,5,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,5,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,5,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,5,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,5,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,5,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,5,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,5,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,5,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,5,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,5,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,5,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,5,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,5,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,5,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,5,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,5,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,5,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,5,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,5,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,5,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,5,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,5,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,5,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,5,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,5,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,5,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,5,30);  hist(mixmat(:,30),nclass); title('Source 30');
 case 31
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
 case 32
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(6,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
 case 33
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(6,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(6,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
 case 34
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(6,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(6,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(6,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
 case 35
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(6,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(6,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(6,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(6,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
 case 36
    subplot(6,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(6,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(6,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(6,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(6,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(6,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(6,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(6,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(6,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(6,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(6,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(6,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(6,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(6,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(6,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(6,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(6,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(6,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(6,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(6,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(6,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(6,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(6,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(6,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(6,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(6,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(6,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(6,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(6,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(6,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(6,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(6,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(6,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(6,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(6,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(6,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
 case 37
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
 case 38
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
    subplot(7,6,38);  hist(mixmat(:,38),nclass); title('Source 38');
 case 39
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
    subplot(7,6,38);  hist(mixmat(:,38),nclass); title('Source 38');
    subplot(7,6,39);  hist(mixmat(:,39),nclass); title('Source 39');
 case 40
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
    subplot(7,6,38);  hist(mixmat(:,38),nclass); title('Source 38');
    subplot(7,6,39);  hist(mixmat(:,39),nclass); title('Source 39');
    subplot(7,6,40);  hist(mixmat(:,40),nclass); title('Source 40');
 case 41
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
    subplot(7,6,38);  hist(mixmat(:,38),nclass); title('Source 38');
    subplot(7,6,39);  hist(mixmat(:,39),nclass); title('Source 39');
    subplot(7,6,40);  hist(mixmat(:,40),nclass); title('Source 40');
    subplot(7,6,41);  hist(mixmat(:,41),nclass); title('Source 41');
 case 42
    subplot(7,6,1);  hist(mixmat(:,1),nclass); title('Source 1');
    subplot(7,6,2);  hist(mixmat(:,2),nclass); title('Source 2');
    subplot(7,6,3);  hist(mixmat(:,3),nclass); title('Source 3');
    subplot(7,6,4);  hist(mixmat(:,4),nclass); title('Source 4');
    subplot(7,6,5);  hist(mixmat(:,5),nclass); title('Source 5');
    subplot(7,6,6);  hist(mixmat(:,6),nclass); title('Source 6');
    subplot(7,6,7);  hist(mixmat(:,7),nclass); title('Source 7');
    subplot(7,6,8);  hist(mixmat(:,8),nclass); title('Source 8');
    subplot(7,6,9);  hist(mixmat(:,9),nclass); title('Source 9');
    subplot(7,6,10);  hist(mixmat(:,10),nclass); title('Source 10');
    subplot(7,6,11);  hist(mixmat(:,11),nclass); title('Source 11');
    subplot(7,6,12);  hist(mixmat(:,12),nclass); title('Source 12');
    subplot(7,6,13);  hist(mixmat(:,13),nclass); title('Source 13');
    subplot(7,6,14);  hist(mixmat(:,14),nclass); title('Source 14');
    subplot(7,6,15);  hist(mixmat(:,15),nclass); title('Source 15');
    subplot(7,6,16);  hist(mixmat(:,16),nclass); title('Source 16');
    subplot(7,6,17);  hist(mixmat(:,17),nclass); title('Source 17');
    subplot(7,6,18);  hist(mixmat(:,18),nclass); title('Source 18');
    subplot(7,6,19);  hist(mixmat(:,19),nclass); title('Source 19');
    subplot(7,6,20);  hist(mixmat(:,20),nclass); title('Source 20');
    subplot(7,6,21);  hist(mixmat(:,21),nclass); title('Source 21');
    subplot(7,6,22);  hist(mixmat(:,22),nclass); title('Source 22');
    subplot(7,6,23);  hist(mixmat(:,23),nclass); title('Source 23');
    subplot(7,6,24);  hist(mixmat(:,24),nclass); title('Source 24');
    subplot(7,6,25);  hist(mixmat(:,25),nclass); title('Source 25');
    subplot(7,6,26);  hist(mixmat(:,26),nclass); title('Source 26');
    subplot(7,6,27);  hist(mixmat(:,27),nclass); title('Source 27');
    subplot(7,6,28);  hist(mixmat(:,28),nclass); title('Source 28');
    subplot(7,6,29);  hist(mixmat(:,29),nclass); title('Source 29');
    subplot(7,6,30);  hist(mixmat(:,30),nclass); title('Source 30');
    subplot(7,6,31);  hist(mixmat(:,31),nclass); title('Source 31');
    subplot(7,6,32);  hist(mixmat(:,32),nclass); title('Source 32');
    subplot(7,6,33);  hist(mixmat(:,33),nclass); title('Source 33');
    subplot(7,6,34);  hist(mixmat(:,34),nclass); title('Source 34');
    subplot(7,6,35);  hist(mixmat(:,35),nclass); title('Source 35');
    subplot(7,6,36);  hist(mixmat(:,36),nclass); title('Source 36');
    subplot(7,6,37);  hist(mixmat(:,37),nclass); title('Source 37');
    subplot(7,6,38);  hist(mixmat(:,38),nclass); title('Source 38');
    subplot(7,6,39);  hist(mixmat(:,39),nclass); title('Source 39');
    subplot(7,6,40);  hist(mixmat(:,40),nclass); title('Source 40');
    subplot(7,6,41);  hist(mixmat(:,41),nclass); title('Source 41');
    subplot(7,6,42);  hist(mixmat(:,42),nclass); title('Source 42');

  otherwise
    Warning('Number of sources too large to be displayed');

end;

