function [] = sortclasses(classnum,filename)

% sortclasses -  Sort names of genes found by genSS
%
%  usage:    sortclasses(classnum,filename)
%
%
% INPUT VARIABLES
% ---------------
% classnum:    (cell array)
%                   class numbers
% filename:     (string)
%                   output file name
%%%%

outfile = fopen(filename,'w');
fprintf(outfile,'SORTED CLASSES\n');
fprintf(outfile,'**************\n\n\n');

srcnb = length(classnum(:,1,1))/2;

for src=1:srcnb,
  fprintf(outfile,'Source %d:\n',src);
  fprintf(outfile,'----------\n',src);

  fprintf(outfile,'subclass -:\n\n');,

  kk=2*src-1;
  u=classnum{kk,3};
  u=char(sortrows(u));
  for l=1:classnum{kk},
    fprintf(outfile,'  %s\n',u(l,:));,
  end;,
  fprintf(outfile,'\n');,

  fprintf(outfile,'subclass -:\n\n');,

  kk=2*src;
  u=classnum{kk,3};
  u=char(sortrows(u));
  for l=1:classnum{kk},
    fprintf(outfile,'  %s\n',u(l,:));,
  end;,
  fprintf(outfile,'\n');,

end;

fclose(outfile);
