function c = mycor(x,y)

if (size(x)~=size(y)),
  error('error in mycor.m: sizes must match');,
end;

lx=length(x);
x=reshape(x,lx,1);
y=reshape(y,lx,1);

x=x-mean(x);y=y-mean(y);

vx=x'*x; vy=y'*y;

if (vx==0) | (vy==0),
  error('error in mycor.m: zero variance');,
end;

c=(x'*y)/sqrt(vx*vy);

