function y=shuffle(x)

% shuffle -   row-wise randomization
%
%  usage:    y=shuffle(x)
%
%
% INPUT VARIABLES
% ---------------
% x:           (2D array):
%                  input array
%                   
%
%
% OUTPUT VARIABLES
% ----------------
% y:           (2D array):
%                  randomized array
%                   

tmp = size(x);
nrow = tmp(1);
ncol = tmp(2);
clear tmp;

y=zeros(nrow,ncol);

for row =1:nrow,
  tmp=floor(ncol*rand(ncol,1))+1;
  y(row,:) = x(row,tmp);
end;

